#!/bin/sh
#
# A simple demo clock to display the current time in Korean.
#

# Date format
DATE_FORMAT="+%k %M %S"

# Command to execute
COMMAND="LANG=ko_KR.eucKR date \"${DATE_FORMAT}\" | iconv -f eucKR -t UTF-8"

# Options to pass
OPTIONS="-n -s 32 -i -D"

# TrueType font to use
TTF_FONT=/usr/local/lib/X11/fonts/TrueType/UnDotum.ttf

set -e
asusoled -e
asusoled ${OPTIONS} -t ${TTF_FONT} -P 1 -c "${COMMAND}"
sleep 15
asusoled -k
asusoled -d

exit 0
